[Testing Update] 2018-05-13 - FFMPEG v4.0, ZFS v0.7.9, Gamemode, Usual Updates

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. This time our most effort went into updating our toolchain with GCC v8.1.0. This needed updates or recompiling of all our kernels.

Other than that, we had the following updates:

  • Worked on manjaro-system to fix issues with sddm.conf and Nvidia 390xx transition
  • FFMPEG v4.0 rebuilds as needed
  • Added gamemode
  • SPL/ZFS updated to v0.7.9
  • Usual upstream updates

Note: since I’m on a business trip in Timișoara for one week, I won’t update Manjaro for this week. @oberon and @jonathon will take care of that.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.108 [EOL]
  • linux41 4.1.51
  • linux44 4.4.131
  • linux49 4.9.99
  • linux414 4.14.40
  • linux415 4.15.18 [EOL]
  • linux416 4.16.8
  • linux417 4.17-rc4
  • linux414-rt 4.14.39_rt29
  • linux416-rt 4.16.7_rt1

Package Updates (Sun May 13 06:06:33 CEST 2018)

  • testing community x86_64: 179 new and 178 removed package(s)
  • testing core x86_64: 4 new and 5 removed package(s)
  • testing extra x86_64: 192 new and 289 removed package(s)
  • testing multilib x86_64: 1 new and 0 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.93.1.12-1          3.93.1.14-1
             adapta-black-maia-theme          3.93.1.12-1          3.93.1.14-1
                 adapta-breath-theme          3.93.1.12-1          3.93.1.14-1
                   adapta-maia-theme          3.93.1.12-1          3.93.1.14-1
                                inxi             3.0.07-1             3.0.08-1
                         vlc-nightly     3.0.2v20180321-1     3.0.3v20180512-1
                            gamemode                    -     1.1+2+gedcefb3-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                          adapta-kde           20180401-1           20180512-1
                               aubio              0.4.6-4              0.4.6-5
                              babeld              1.8.1-2              1.8.2-1
                           bettercap                2.5-1                2.6-1
                 blender 17:2.79.b.git2.0385b33f-12 17:2.79.b.git2.0385b33f-13
                          bs1770gain             0.4.12-1             0.4.12-2
                                c2hs            0.28.3-22            0.28.3-23
                             cantata              2.3.0-1              2.3.0-2
                              ccfits                2.5-2                2.5-3
                               cgrep             6.6.25-4             6.6.25-5
                        cinelerra-cv              1:2.3-3              1:2.3-4
                              consul              1.0.7-1              1.1.0-1
                          converseen            0.9.6.2-5            0.9.6.2-6
                             cryptol             2.5.0-54             2.5.0-56
                               darcs            2.14.0-11            2.14.0-12
                            deadbeef              0.7.2-3              0.7.2-4
                        deepin-movie            1:3.2.5-1            1:3.2.5-2
                        deepin-music            3.1.8.1-2            3.1.8.1-3
               deepin-voice-recorder            1.3.6.1-1            1.3.6.1-2
                 dolphin-emu 1:5.0.r7309.10d230a512-3 1:5.0.r7309.10d230a512-4
                           dvdauthor              0.7.2-4              0.7.2-5
                            electron              1.8.4-1              1.8.4-2
                               encfs              1.9.4-1              1.9.5-1
                       ffmpeg2theora               0.30-2               0.30-4
                               ffms2             2.23.1-1             2.23.1-2
                             freerdp        1:2.0.0_rc2-1        1:2.0.0_rc2-2
                                gdal              2.2.4-3              2.2.4-4
                               giada             0.14.6-3             0.15.0-1
                         gimp-nufraw               0.42-1               0.42-2
                           git-annex         6.20180509-4         6.20180509-5
                          goldendict           1.5.0RC2-6           1.5.0RC2-7
                                gpac            1:0.7.1-3            1:0.7.1-4
                              grafx2               2.4-10                2.5-1
                            guvcview              2.0.5-3              2.0.5-4
                         guvcview-qt              2.0.5-3              2.0.5-4
                              harvid              0.8.2-1              0.8.2-2
                    haskell-aeson-qq             0.8.2-30             0.8.2-31
                       haskell-brick               0.37-2               0.37-3
                  haskell-config-ini           0.2.2.0-36           0.2.2.0-37
                      haskell-either                 5-37                 5-38
                   haskell-esqueleto             2.5.3-97             2.5.3-98
                      haskell-gnuidn             0.2.2-30             0.2.2-31
                       haskell-hasql             1.1.1-59             1.1.1-60
                  haskell-hasql-pool             0.4.3-59             0.4.3-60
           haskell-hasql-transaction             0.5.2-59             0.5.2-60
                    haskell-hedgehog              0.5.3-7              0.5.3-8
                        haskell-here             1.2.13-5             1.2.13-6
                       haskell-hpack            0.27.0-42            0.27.0-43
            haskell-hspec-smallcheck              0.5.2-1              0.5.2-2
              haskell-hspec-wai-json             0.9.0-60             0.9.0-61
                 haskell-interpolate              0.2.0-8              0.2.0-9
    haskell-interpolatedstring-perl6             1.0.0-44             1.0.0-45
                haskell-lifted-async           0.9.3.3-17           0.9.3.3-18
       haskell-network-protocol-xmpp             0.4.8-36             0.4.8-37
                  haskell-persistent           2.7.3.1-50           2.7.3.1-51
           haskell-persistent-sqlite             2.6.4-80             2.6.4-81
         haskell-persistent-template             2.5.4-17             2.5.4-18
                      haskell-rebase             1.2.3-39             1.2.3-40
                    haskell-rerebase             1.2.1-47             1.2.1-48
                       haskell-retry            0.7.6.2-4            0.7.6.2-5
                         haskell-sbv                7.7-3                7.7-4
             haskell-servant-swagger             1.1.4-67             1.1.4-68
                      haskell-shelly              1.8.0-1              1.8.0-2
                  haskell-simple-smt              0.7.1-2                0.8-1
                  haskell-smallcheck            1.1.3.1-2              1.1.4-1
                    haskell-src-exts             1.20.2-2             1.20.2-3
               haskell-src-exts-util             0.2.2-10             0.2.2-11
                    haskell-src-meta           0.8.0.2-10           0.8.0.2-11
                       haskell-store           0.4.3.2-76           0.4.3.2-77
              haskell-tasty-hedgehog            0.2.0.0-7            0.2.0.0-8
            haskell-tasty-smallcheck              0.8.1-5              0.8.1-6
                    haskell-tasty-th             0.1.7-14             0.1.7-15
   haskell-test-framework-smallcheck                0.2-8                0.2-9
                         haskell-vty               5.21-7               5.21-8
                      haskell-xcffib             0.6.0-17             0.6.0-18
                       haskell-yesod            1.4.5-257            1.4.5-258
                  haskell-yesod-auth           1.4.21-148           1.4.21-149
                  haskell-yesod-form           1.4.16-150           1.4.16-151
            haskell-yesod-persistent            1.4.3-125            1.4.3-126
                  haskell-yesod-test          1.5.9.1-111          1.5.9.1-112
                           hedgewars            0.9.23-11           0.9.24.1-1
                             hindent             5.2.5-24             5.2.5-25
                             hledger                1.9-8                1.9-9
                         hledger-api               1.9-15               1.9-16
                          hledger-ui               1.9-11               1.9-12
                         hledger-web             1.9.1-12             1.9.1-13
                               hlint              2.1.5-2              2.1.5-3
                              hoogle            5.0.16-64            5.0.16-65
                                hugo             0.40.2-1             0.40.3-1
                                 imv              2.1.3-1              3.0.0-1
                                josm              13576-1              13710-1
                                kid3              3.6.0-1              3.6.1-1
                             kid3-qt              3.6.0-1              3.6.1-1
                              kstars            1:2.9.5-1            1:2.9.5-2
                kvantum-theme-adapta           20180401-1           20180512-1
                        libextractor                1.6-2                1.6-3
                             libindi              1.7.2-1              1.7.2-2
                             libmgba              0.6.2-1              0.6.3-1
                              libofx             0.9.12-1             0.9.13-1
                          libofx-doc             0.9.12-1             0.9.13-1
                         libopenshot              0.1.9-5              0.1.9-8
                    libqtshadowsocks              2.0.2-2              2.0.2-3
                        libquicktime             1.2.4-17             1.2.4-18
                        luminancehdr              2.5.1-8              2.5.1-9
                       mediastreamer             2.16.1-4             2.16.1-5
                             mgba-qt              0.6.2-1              0.6.3-1
                            mgba-sdl              0.6.2-1              0.6.3-1
                            minidlna              1.2.1-2              1.2.1-3
                                 mpv           1:0.27.2-1           1:0.28.2-1
                          obs-studio             21.1.1-1             21.1.1-2
                              openmw             0.43.0-2             0.43.0-3
                      openscenegraph              3.4.1-1              3.4.1-3
                            paraview              5.5.0-1              5.5.0-2
                          performous               1.1-13               1.1-14
                            pianobar         2017.08.30-3         2017.08.30-4
                              poedit            1:2.0.6-2            1:2.0.7-1
                             postgis              2.4.3-1              2.4.4-1
                           postgrest          0.4.4.0-124          0.4.4.0-125
                        python-aubio              0.4.6-4              0.4.6-5
                        python-faker             0.8.13-1             0.8.14-1
                         python-gdal              2.2.4-3              2.2.4-4
                   python-hypothesis             3.56.8-1             3.56.9-1
                python-keystoneauth1              3.5.0-1              3.6.0-1
                      python-markups              2.0.1-1              3.0.0-1
                   python-positional              1.1.2-1              1.2.1-1
                   python-simplejson             3.14.0-1             3.15.0-1
                       python2-aubio              0.4.6-4              0.4.6-5
                       python2-faker             0.8.13-1             0.8.14-1
                        python2-gdal              2.2.4-3              2.2.4-4
                  python2-hypothesis             3.56.8-1             3.56.9-1
               python2-keystoneauth1              3.5.0-1              3.6.0-1
                     python2-markups              2.0.1-1              3.0.0-1
                  python2-positional              1.1.2-1              1.2.1-1
                  python2-simplejson             3.14.0-1             3.15.0-1
                        python2-zbar               0.20-2               0.20-3
                                qmmp              1.2.0-2              1.2.1-1
                                qtox             1.13.0-2             1.14.1-2
                               renpy            6.99.13-1          6.99.14.3-1
                         renpy-demos            6.99.13-1          6.99.14.3-1
                           retroarch              1.7.1-1              1.7.3-1
                retroarch-assets-xmb               1:28-1               1:43-2
                     ring-daemon 2:20180501.1.3b176a6-1 2:20180501.1.3b176a6-3
                            rubinius              3.101-1              3.103-1
                       rubinius-ruby              3.101-1              3.103-1
                   ruby-eventmachine              1.2.6-1              1.2.7-1
                simplescreenrecorder             0.3.10-1             0.3.10-2
                                 sk1           1:2.0rc3-1           1:2.0rc3-2
                             skrooge             2.12.0-1             2.13.0-1
                           sleuthkit              4.6.0-1              4.6.1-1
                                 snd               18.2-1               18.3-1
                               stack             1.6.5-83             1.6.5-84
                     stylish-haskell           0.9.0.2-23           0.9.0.2-24
                    telegram-desktop             1.2.19-1             1.2.19-2
                           transcode             1.1.7-25             1.1.7-27
                            umockdev             0.11.2-1             0.11.3-1
                             unpaper                6.1-5                6.1-6
                               v2ray               3.21-1             3.21.1-1
                         vapoursynth                R43-1                R43-2
     vapoursynth-plugin-lsmashsource                929-1                931-1
                            vbam-sdl              2.0.2-3              2.0.2-4
                             vbam-wx              2.0.2-3              2.0.2-4
                                 vtk              8.1.0-3              8.1.0-5
                              wcslib               5.18-2               5.18-3
                           windowlab               1.40-4                    -
                           wxsqlite3              4.0.2-1              4.0.3-1
                              xjadeo              0.8.7-2              0.8.7-3
                     xmms2 0.8DrO_o.949.gca15e830-10 0.8DrO_o.949.gca15e830-11
                                 yaz             5.23.1-3             5.25.0-1
                          youtube-dl         2018.05.01-1         2018.05.09-1
                                zbar               0.20-2               0.20-3
                            zbar-gtk               0.20-2               0.20-3
                             zbar-qt               0.20-2               0.20-3
                              docopt                    -              0.6.2-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                      linux-firmware   20180501.397a604-1   20180507.8fc2d4e-1
                        linux417 4.17.r180509.036db8b-1 4.17.r180512.f0ab773-1
                linux417-headers 4.17.r180509.036db8b-1 4.17.r180512.f0ab773-1
                      manjaro-system           20180507-1           20180513-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                      linux-firmware   20180416.b562d2f-1   20180507.8fc2d4e-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                           calamares             3.1.13-2             3.1.13-3
                 calamares-git 3.2.0.r4578.96e04b128-1 3.2.0.r4579.6f4dff78a-1
                             firefox             60.0-0.2                    -
                    firefox-i18n-ach               60.0-0                    -
                     firefox-i18n-af               60.0-0                    -
                     firefox-i18n-an               60.0-0                    -
                     firefox-i18n-ar               60.0-0                    -
                     firefox-i18n-as               60.0-0                    -
                    firefox-i18n-ast               60.0-0                    -
                     firefox-i18n-az               60.0-0                    -
                     firefox-i18n-be               60.0-0                    -
                     firefox-i18n-bg               60.0-0                    -
                  firefox-i18n-bn-bd               60.0-0                    -
                  firefox-i18n-bn-in               60.0-0                    -
                     firefox-i18n-br               60.0-0                    -
                     firefox-i18n-bs               60.0-0                    -
                     firefox-i18n-ca               60.0-0                    -
                    firefox-i18n-cak               60.0-0                    -
                     firefox-i18n-cs               60.0-0                    -
                     firefox-i18n-cy               60.0-0                    -
                     firefox-i18n-da               60.0-0                    -
                     firefox-i18n-de               60.0-0                    -
                    firefox-i18n-dsb               60.0-0                    -
                     firefox-i18n-el               60.0-0                    -
                  firefox-i18n-en-gb               60.0-0                    -
                  firefox-i18n-en-us               60.0-0                    -
                  firefox-i18n-en-za               60.0-0                    -
                     firefox-i18n-eo               60.0-0                    -
                  firefox-i18n-es-ar               60.0-0                    -
                  firefox-i18n-es-cl               60.0-0                    -
                  firefox-i18n-es-es               60.0-0                    -
                  firefox-i18n-es-mx               60.0-0                    -
                     firefox-i18n-et               60.0-0                    -
                     firefox-i18n-eu               60.0-0                    -
                     firefox-i18n-fa               60.0-0                    -
                     firefox-i18n-ff               60.0-0                    -
                     firefox-i18n-fi               60.0-0                    -
                     firefox-i18n-fr               60.0-0                    -
                  firefox-i18n-fy-nl               60.0-0                    -
                  firefox-i18n-ga-ie               60.0-0                    -
                     firefox-i18n-gd               60.0-0                    -
                     firefox-i18n-gl               60.0-0                    -
                     firefox-i18n-gn               60.0-0                    -
                  firefox-i18n-gu-in               60.0-0                    -
                     firefox-i18n-he               60.0-0                    -
                  firefox-i18n-hi-in               60.0-0                    -
                     firefox-i18n-hr               60.0-0                    -
                    firefox-i18n-hsb               60.0-0                    -
                     firefox-i18n-hu               60.0-0                    -
                  firefox-i18n-hy-am               60.0-0                    -
                     firefox-i18n-id               60.0-0                    -
                     firefox-i18n-is               60.0-0                    -
                     firefox-i18n-it               60.0-0                    -
                     firefox-i18n-ja               60.0-0                    -
                     firefox-i18n-ka               60.0-0                    -
                    firefox-i18n-kab               60.0-0                    -
                     firefox-i18n-kk               60.0-0                    -
                     firefox-i18n-km               60.0-0                    -
                     firefox-i18n-kn               60.0-0                    -
                     firefox-i18n-ko               60.0-0                    -
                    firefox-i18n-lij               60.0-0                    -
                     firefox-i18n-lt               60.0-0                    -
                     firefox-i18n-lv               60.0-0                    -
                    firefox-i18n-mai               60.0-0                    -
                     firefox-i18n-mk               60.0-0                    -
                     firefox-i18n-ml               60.0-0                    -
                     firefox-i18n-mr               60.0-0                    -
                     firefox-i18n-ms               60.0-0                    -
                     firefox-i18n-my               60.0-0                    -
                  firefox-i18n-nb-no               60.0-0                    -
                     firefox-i18n-nl               60.0-0                    -
                  firefox-i18n-nn-no               60.0-0                    -
                     firefox-i18n-or               60.0-0                    -
                  firefox-i18n-pa-in               60.0-0                    -
                     firefox-i18n-pl               60.0-0                    -
                  firefox-i18n-pt-br               60.0-0                    -
                  firefox-i18n-pt-pt               60.0-0                    -
                     firefox-i18n-rm               60.0-0                    -
                     firefox-i18n-ro               60.0-0                    -
                     firefox-i18n-ru               60.0-0                    -
                     firefox-i18n-si               60.0-0                    -
                     firefox-i18n-sk               60.0-0                    -
                     firefox-i18n-sl               60.0-0                    -
                    firefox-i18n-son               60.0-0                    -
                     firefox-i18n-sq               60.0-0                    -
                     firefox-i18n-sr               60.0-0                    -
                  firefox-i18n-sv-se               60.0-0                    -
                     firefox-i18n-ta               60.0-0                    -
                     firefox-i18n-te               60.0-0                    -
                     firefox-i18n-th               60.0-0                    -
                     firefox-i18n-tr               60.0-0                    -
                     firefox-i18n-uk               60.0-0                    -
                     firefox-i18n-ur               60.0-0                    -
                     firefox-i18n-uz               60.0-0                    -
                     firefox-i18n-vi               60.0-0                    -
                     firefox-i18n-xh               60.0-0                    -
                  firefox-i18n-zh-cn               60.0-0                    -
                  firefox-i18n-zh-tw               60.0-0                    -
                        linux316-spl              0.7.8-2              0.7.9-1
                        linux316-zfs              0.7.8-2              0.7.9-1
                        linux318-spl              0.7.8-4              0.7.9-1
                        linux318-zfs              0.7.8-4              0.7.9-1
                         linux41-spl              0.7.8-2              0.7.9-1
                         linux41-zfs              0.7.8-2              0.7.9-1
                        linux414-spl              0.7.8-9              0.7.9-1
                        linux414-zfs              0.7.8-9              0.7.9-1
                        linux415-spl              0.7.8-5              0.7.9-1
                        linux415-zfs              0.7.8-5              0.7.9-1
                        linux416-spl              0.7.8-7              0.7.9-1
                        linux416-zfs              0.7.8-7              0.7.9-1
                  linux417-acpi_call           1.1.0-0.14           1.1.0-0.15
                   linux417-bbswitch             0.8-0.14             0.8-0.15
                linux417-broadcom-wl    6.30.223.271-0.14    6.30.223.271-0.15
                   linux417-catalyst   1:15.201.1151-0.14   1:15.201.1151-0.15
                linux417-ndiswrapper            1.61-0.14            1.61-0.15
                     linux417-nvidia        1:396.24-0.14        1:396.24-0.15
               linux417-nvidia-304xx       1:304.137-0.14       1:304.137-0.15
               linux417-nvidia-340xx         340.106-0.14         340.106-0.15
               linux417-nvidia-390xx          390.48-0.14          390.48-0.15
                   linux417-nvidiabl            0.88-0.14            0.88-0.15
                      linux417-r8168        8.045.08-0.14        8.045.08-0.15
                        linux417-spl           0.7.8-0.14           0.7.9-0.15
                   linux417-tp_smapi            0.41-0.14            0.41-0.15
                linux417-vhba-module        20161009-0.14        20161009-0.15
   linux417-virtualbox-guest-modules           5.2.12-0.1          5.2.12-0.15
    linux417-virtualbox-host-modules           5.2.12-0.1          5.2.12-0.15
                        linux417-zfs           0.7.8-0.14           0.7.9-0.15
                         linux44-spl              0.7.8-4              0.7.9-1
                         linux44-zfs              0.7.8-4              0.7.9-1
                         linux49-spl              0.7.8-6              0.7.9-1
                         linux49-zfs              0.7.8-6              0.7.9-1
                   manjaro-tools-pkg             0.15.7-3             0.15.7-5
                            spl-dkms              0.7.8-1              0.7.9-1
                           spl-utils              0.7.8-1              0.7.9-1
                            zfs-dkms              0.7.8-1              0.7.9-1
                           zfs-utils              0.7.8-1              0.7.9-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                     accountsservice             0.6.47-1             0.6.49-1
                        alsa-plugins              1.1.6-1              1.1.6-2
                              amarok              2.9.0-1              2.9.0-2
                   audacious-plugins                3.9-2                3.9-3
                             cfitsio              3.440-1              3.450-1
                         chromaprint              1.4.3-1              1.4.3-2
                               emacs               25.3-3               25.3-4
                                 feh               2.26-1             2.26.1-1
                              ffmpeg            1:3.4.2-2              1:4.0-1
                   ffmpegthumbnailer              2.2.0-1              2.2.0-2
                        ffmpegthumbs            18.04.1-1            18.04.1-2
                             firefox             59.0.2-2               60.0-1
                    firefox-i18n-ach             59.0.2-1               60.0-1
                     firefox-i18n-af             59.0.2-1               60.0-1
                     firefox-i18n-an             59.0.2-1               60.0-1
                     firefox-i18n-ar             59.0.2-1               60.0-1
                     firefox-i18n-as             59.0.2-1               60.0-1
                    firefox-i18n-ast             59.0.2-1               60.0-1
                     firefox-i18n-az             59.0.2-1               60.0-1
                     firefox-i18n-be             59.0.2-1               60.0-1
                     firefox-i18n-bg             59.0.2-1               60.0-1
                  firefox-i18n-bn-bd             59.0.2-1               60.0-1
                  firefox-i18n-bn-in             59.0.2-1               60.0-1
                     firefox-i18n-br             59.0.2-1               60.0-1
                     firefox-i18n-bs             59.0.2-1               60.0-1
                     firefox-i18n-ca             59.0.2-1               60.0-1
                    firefox-i18n-cak             59.0.2-1               60.0-1
                     firefox-i18n-cs             59.0.2-1               60.0-1
                     firefox-i18n-cy             59.0.2-1               60.0-1
                     firefox-i18n-da             59.0.2-1               60.0-1
                     firefox-i18n-de             59.0.2-1               60.0-1
                    firefox-i18n-dsb             59.0.2-1               60.0-1
                     firefox-i18n-el             59.0.2-1               60.0-1
                  firefox-i18n-en-gb             59.0.2-1               60.0-1
                  firefox-i18n-en-us             59.0.2-1               60.0-1
                  firefox-i18n-en-za             59.0.2-1               60.0-1
                     firefox-i18n-eo             59.0.2-1               60.0-1
                  firefox-i18n-es-ar             59.0.2-1               60.0-1
                  firefox-i18n-es-cl             59.0.2-1               60.0-1
                  firefox-i18n-es-es             59.0.2-1               60.0-1
                  firefox-i18n-es-mx             59.0.2-1               60.0-1
                     firefox-i18n-et             59.0.2-1               60.0-1
                     firefox-i18n-eu             59.0.2-1               60.0-1
                     firefox-i18n-fa             59.0.2-1               60.0-1
                     firefox-i18n-ff             59.0.2-1               60.0-1
                     firefox-i18n-fi             59.0.2-1               60.0-1
                     firefox-i18n-fr             59.0.2-1               60.0-1
                  firefox-i18n-fy-nl             59.0.2-1               60.0-1
                  firefox-i18n-ga-ie             59.0.2-1               60.0-1
                     firefox-i18n-gd             59.0.2-1               60.0-1
                     firefox-i18n-gl             59.0.2-1               60.0-1
                     firefox-i18n-gn             59.0.2-1               60.0-1
                  firefox-i18n-gu-in             59.0.2-1               60.0-1
                     firefox-i18n-he             59.0.2-1               60.0-1
                  firefox-i18n-hi-in             59.0.2-1               60.0-1
                     firefox-i18n-hr             59.0.2-1               60.0-1
                    firefox-i18n-hsb             59.0.2-1               60.0-1
                     firefox-i18n-hu             59.0.2-1               60.0-1
                  firefox-i18n-hy-am             59.0.2-1               60.0-1
                     firefox-i18n-id             59.0.2-1               60.0-1
                     firefox-i18n-is             59.0.2-1               60.0-1
                     firefox-i18n-it             59.0.2-1               60.0-1
                     firefox-i18n-ja             59.0.2-1               60.0-1
                     firefox-i18n-ka             59.0.2-1               60.0-1
                    firefox-i18n-kab             59.0.2-1               60.0-1
                     firefox-i18n-kk             59.0.2-1               60.0-1
                     firefox-i18n-km             59.0.2-1               60.0-1
                     firefox-i18n-kn             59.0.2-1               60.0-1
                     firefox-i18n-ko             59.0.2-1               60.0-1
                    firefox-i18n-lij             59.0.2-1               60.0-1
                     firefox-i18n-lt             59.0.2-1               60.0-1
                     firefox-i18n-lv             59.0.2-1               60.0-1
                    firefox-i18n-mai             59.0.2-1               60.0-1
                     firefox-i18n-mk             59.0.2-1               60.0-1
                     firefox-i18n-ml             59.0.2-1               60.0-1
                     firefox-i18n-mr             59.0.2-1               60.0-1
                     firefox-i18n-ms             59.0.2-1               60.0-1
                     firefox-i18n-my             59.0.2-1               60.0-1
                  firefox-i18n-nb-no             59.0.2-1               60.0-1
                     firefox-i18n-nl             59.0.2-1               60.0-1
                  firefox-i18n-nn-no             59.0.2-1               60.0-1
                     firefox-i18n-or             59.0.2-1               60.0-1
                  firefox-i18n-pa-in             59.0.2-1               60.0-1
                     firefox-i18n-pl             59.0.2-1               60.0-1
                  firefox-i18n-pt-br             59.0.2-1               60.0-1
                  firefox-i18n-pt-pt             59.0.2-1               60.0-1
                     firefox-i18n-rm             59.0.2-1               60.0-1
                     firefox-i18n-ro             59.0.2-1               60.0-1
                     firefox-i18n-ru             59.0.2-1               60.0-1
                     firefox-i18n-si             59.0.2-1               60.0-1
                     firefox-i18n-sk             59.0.2-1               60.0-1
                     firefox-i18n-sl             59.0.2-1               60.0-1
                    firefox-i18n-son             59.0.2-1               60.0-1
                     firefox-i18n-sq             59.0.2-1               60.0-1
                     firefox-i18n-sr             59.0.2-1               60.0-1
                  firefox-i18n-sv-se             59.0.2-1               60.0-1
                     firefox-i18n-ta             59.0.2-1               60.0-1
                     firefox-i18n-te             59.0.2-1               60.0-1
                     firefox-i18n-th             59.0.2-1               60.0-1
                     firefox-i18n-tr             59.0.2-1               60.0-1
                     firefox-i18n-uk             59.0.2-1               60.0-1
                     firefox-i18n-ur             59.0.2-1               60.0-1
                     firefox-i18n-uz             59.0.2-1               60.0-1
                     firefox-i18n-vi             59.0.2-1               60.0-1
                     firefox-i18n-xh             59.0.2-1               60.0-1
                  firefox-i18n-zh-cn             59.0.2-1               60.0-1
                  firefox-i18n-zh-tw             59.0.2-1               60.0-1
                                gegl             0.3.34-1              0.4.0-1
                              gegl02              0.2.0-8                    -
                                gimp             2.8.22-1             2.10.0-4
                        gnome-photos             3.28.0-1             3.28.0-2
                           gst-libav             1.14.0-1             1.14.0-2
                                gvim           8.0.1815-1           8.0.1826-1
                            gwenview            18.04.1-1            18.04.1-2
                         imagemagick           7.0.7.28-1           7.0.7.31-1
                     imagemagick-doc           7.0.7.28-1           7.0.7.31-1
                        imagemagick6           6.9.9.40-1           6.9.9.43-1
                        java-openjfx             8.u172-1             8.u172-2
                    java-openjfx-doc             8.u172-1             8.u172-2
                    java-openjfx-src             8.u172-1             8.u172-2
                                 k3b          1:18.04.1-1          1:18.04.1-2
                       kfilemetadata             5.45.0-1             5.45.0-2
                               krita              4.0.2-1              4.0.3-1
                           libmagick           7.0.7.28-1           7.0.7.31-1
                          libmagick6           6.9.9.40-1           6.9.9.43-1
                    libmariadbclient            10.1.32-1            10.1.33-1
                       libx264-10bit     2:152.20171224-1     2:152.20171224-2
                             libx264     2:152.20171224-1     2:152.20171224-2
                         libx264-all     2:152.20171224-1     2:152.20171224-2
                             mariadb            10.1.32-1            10.1.33-1
                     mariadb-clients            10.1.32-1            10.1.33-1
                            mencoder              38017-1              38101-1
                                 mlt              6.8.0-1              6.8.0-2
                 mlt-python-bindings              6.8.0-1              6.8.0-2
                                 moc            1:2.5.2-1            1:2.5.2-2
                                 mpd            0.20.18-3            0.20.19-1
                             mplayer              38017-1              38101-1
                               mytop            10.1.32-1            10.1.33-1
                                opal           3.10.11-15           3.10.11-16
                              openal             1.18.2-1             1.18.2-2
                     openal-examples             1.18.2-1             1.18.2-2
                              opencv              3.4.1-2              3.4.1-3
                      opencv-samples              3.4.1-2              3.4.1-3
                           perl-yaml               1.24-1               1.25-1
                            pipewire              0.1.9-1              0.1.9-3
                            pstoedit               3.71-1               3.71-2
                       qt5-webengine             5.10.1-1             5.10.1-2
                                qtav             1.12.0-2             1.12.0-3
                                 vim           8.0.1815-1           8.0.1826-1
                         vim-runtime           8.0.1815-1           8.0.1826-1
                                 vlc              3.0.1-2              3.0.2-1
                                x264     2:152.20171224-1     2:152.20171224-2
                            xine-lib              1.2.9-5              1.2.9-7


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-12           2018-05-13
-------------------------------------------------------------------------------
                      lib32-gamemode                    -     1.1+2+gedcefb3-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

This is a wiki post; please edit as necessary.



#3

…xfce, i5 ivy-bridge, kernel 4.16, no errors at first sight - browsers, network work fine.


#4

5 posts were split to a new topic: FFMPEG 4.0 broke tvheadend


#9

Gamemode breaks --user services, anybody else having this issue? Have to manually remove service to get it working again.

Failed to connect to bus: No such file or directory

Seems to be issue has not been resolved or is it just me?


#10

Seems so

sudo pacman -Syu gamemode lib32-gamemode
systemctl --user --now enable gamemoded 

works just fine for me

● gamemoded.service - gamemoded
   Loaded: loaded (/usr/lib/systemd/user/gamemoded.service; enabled; vendor preset: enabled)
   Active: active (running) since Sun 2018-05-13 14:53:31 CEST; 14s ago
 Main PID: 15911 (gamemoded)
   Status: "GameMode is ready to be activated."
   CGroup: /user.slice/user-1000.slice/user@1000.service/gamemoded.service
           └─15911 /usr/bin/gamemoded -l

Mai 13 14:53:31 balder systemd[7559]: Starting gamemoded...
Mai 13 14:53:31 balder /usr/bin/gamemoded[15911]: governor is set to [schedutil]
Mai 13 14:53:31 balder /usr/bin/gamemoded[15911]: Successfully initialised bus with name [com.feralinteractive.GameMode]...
Mai 13 14:53:31 balder systemd[7559]: Started gamemoded.

#11

Can confirm that, same for me.


#12

So far, so good. And Gimp 2.10.0 too… Well, I’m happy!

I have to remove gegl02 by hand. And I had to logout / login again to get access to Gimp in my brisk menu.


#13

No problem to remove it?

gimp: /usr/lib/libbabl-0.1.so.0: no version information available (required by gimp)
gimp: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpwidgets-2.0.so.0)
gimp: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
gimp: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
gimp: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)
GEGL-Message: 13:26:53.427: Erro ao carregar módulo "/usr/lib/gegl-0.4/ff-save.so": libavformat.so.57: cannot open shared object file: Arquivo ou diretório não encontrado
GEGL-Message: 13:26:53.442: Erro ao carregar módulo "/usr/lib/gegl-0.4/ff-load.so": libavformat.so.57: cannot open shared object file: Arquivo ou diretório não encontrado
GEGL-Message: 13:26:53.443: Erro ao carregar módulo "/usr/lib/gegl-0.4/matting-levin.so": libumfpack.so.5: cannot open shared object file: Arquivo ou diretório não encontrado
Missing fast-path babl conversion detected, Implementing missing babl fast paths
accelerates GEGL, GIMP and other software using babl, warnings are printed on
first occurance of formats used where a conversion has to be synthesized
programmatically by babl based on format description

*WARNING* missing babl fast path(s): "R'G'B' double" to "CIE Lab double"
gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error
gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error
GIMP-Erro: Unable to run plug-in "foggify.py"
(/usr/lib/gimp/2.0/plug-ins/foggify.py)

Failed to execute child process “python2” (Arquivo ou diretório não encontrado)

GIMP-Erro: Unable to run plug-in "histogram-export.py"
(/usr/lib/gimp/2.0/plug-ins/histogram-export.py)

Failed to execute child process “python2” (Arquivo ou diretório não encontrado)

gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error
gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error
GIMP-Erro: Unable to run plug-in "palette-to-gradient.py"
(/usr/lib/gimp/2.0/plug-ins/palette-to-gradient.py)

Failed to execute child process “python2” (Arquivo ou diretório não encontrado)

GIMP-Erro: Unable to run plug-in "py-slice.py"
(/usr/lib/gimp/2.0/plug-ins/py-slice.py)

Failed to execute child process “python2” (Arquivo ou diretório não encontrado)

gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimp-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimp-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimp-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
/usr/lib/gimp/2.0/plug-ins/file-rawtherapee: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimp-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
/usr/lib/gimp/2.0/plug-ins/file-darktable: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)
/usr/lib/gimp/2.0/plug-ins/script-fu: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimp-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/script-fu: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpwidgets-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/script-fu: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgimpcolor-2.0.so.0)
/usr/lib/gimp/2.0/plug-ins/script-fu: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-0.4.so.0)
/usr/lib/gimp/2.0/plug-ins/script-fu: /usr/lib/libbabl-0.1.so.0: no version information available (required by /usr/lib/libgegl-npd-0.4.so)

I have all this “warnings” when I load Gimp from terminal.
Python2-7.15-1 is installed. So it is Babl-0.1.46-2.

Maybe I should start a new thread with this problems?


#14

These are plugins. They either need to be updated or rebuilt (depending on their source). Check the package with pacman -Qo /usr/lib/gimp/2.0/plug-ins/file-rawtherapee


#15

On my main computer

A. New issues

Nothing new to report so far.

B. Half-Fixed

Strange and annoying behaviour with VLC Media Player on Cinnamon that I discussed previously here and there.

Upgrading vlc package from 3.0.1-2 to 3.0.2-1 didn’t improve the situation.

However, I tried out what philm suggested in a previous thread: installing vlc-nightly package. I installed vlc-nightly 3.0.3v20180512-1 package while having muffin 3.8.1-1.1 package installed at the same time. This solves the problem I had: this VLC that comes from current vlc-nightly package doesn’t have the annoying behaviour of showing the panel over the video when hovering the timeline. Plus, I have that little bubble that says the time pointed by the cursor. Perfect!

VLC from current vlc-nightly package on Cinnamon

I consider this half-fixed since VLC 3.0.3 hasn’t been officially released yet from upstream, but this is a matter of time. I don’t know how long it will take though.

I don’t know if the situation on other graphical environment where VLC isn’t behaving normally improves or not when using VLC from vlc-nightly 3.0.3v20180512-1 package, and I won’t test that out. But according to one review, VLC from current vlc-nightly package is working correctly on XFCE too.

C. Not new, but recently discovered

Today, I came accross this post saying that Login Windows (a.k.a LightDM Settings, shipped with lightdm-settings package) can’t be accessed via System Settings on Cinnamon. I checked on my main computer if I have this problem right now and indeed, I have this problem on my main computer, on Manjaro Cinnamon (Testing Branch).

In Cinnamon, you can open Login Window via System Settings by clicking on its icon.
login-window-in-system-settings-cin
However, it doesn’t work; it doesn’t do anything at all: no window, no dialog box, nothing at all.

To have more information about the situation, I opened System Settings with the terminal with cinnamon-settings command, then tried to open Login Window via System Settings. Each time I click on Login Window, I get the following output in the Terminal : “lightdm-settings needs to be run as root.” Here’s an example where I clicked five time on Login Window:

[awesome@i56400 ~]$ cinnamon-settings
Using pam module (python3-pampy)
lightdm-settings needs to be run as root.
lightdm-settings needs to be run as root.
lightdm-settings needs to be run as root.
lightdm-settings needs to be run as root.
lightdm-settings needs to be run as root.
[awesome@i56400 ~]$

This is pretty bizarre. Under normal circumstances, a dialog box should pop up to ask for my password to get administrative privileges, then open Login Window with higher privileges.

On Cinnamon, Login Window can still be opened properly via the menu; the dialog box asking for my password shows up and once I enter my credential correctly, Login Window appears.

Login Window when I open it from menu


I also have this issue with Login Window on my laptop that uses Manjaro Cinnamon on Stable Branch.

By the way, upstream released version 1.2.0 of Login Window (well caugh caugh, excuse me, LightDM Settings I suppose) four days ago.

D. Personal Taste problem

Gimp 2.10 looks god awful in its default configuration. Fortunately, we can change how it looks by clicking on Edit > Preferences, then configure Theme and Icon Theme as we like. To get the old school Gimp experience back, Theme must be set at System and Icon Theme must be set at Legacy.

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac

Intel i5-6400
Nvidia Geforce GTX 970

Complete Pamac details
Synchronizing package databases...
Refreshing DEB_Arch_Extra.db...
Refreshing DEB_Arch_Extra.files...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180513-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180507-1 -> 20180513-1)...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading linux-firmware-20180507.8fc2d4e-1-any.pkg.tar.xz...
Downloading accountsservice-0.6.49-1-x86_64.pkg.tar.xz...
Downloading alsa-plugins-1.1.6-2-x86_64.pkg.tar.xz...
Downloading libx264-2:152.20171224-2-x86_64.pkg.tar.xz...
Downloading ffmpeg-1:4.0-1-x86_64.pkg.tar.xz...
Downloading chromaprint-1.4.3-2-x86_64.pkg.tar.xz...
Downloading libmagick-7.0.7.31-1-x86_64.pkg.tar.xz...
Downloading ffmpegthumbnailer-2.2.0-2-x86_64.pkg.tar.xz...
Downloading firefox-60.0-1-x86_64.pkg.tar.xz...
Downloading firefox-i18n-en-us-60.0-1-any.pkg.tar.xz...
Downloading gegl-0.4.0-0-x86_64.pkg.tar.xz...
Downloading libmypaint-1.3.0-4-x86_64.pkg.tar.xz...
Downloading mypaint-brushes-1.3.0-2-any.pkg.tar.xz...
Downloading gimp-2.10.0-4-x86_64.pkg.tar.xz...
Downloading gst-libav-1.14.0-2-x86_64.pkg.tar.xz...
Downloading imagemagick-7.0.7.31-1-x86_64.pkg.tar.xz...
Downloading kfilemetadata-5.45.0-2-x86_64.pkg.tar.xz...
Downloading libx264-all-2:152.20171224-2-x86_64.pkg.tar.xz...
Downloading mlt-6.8.0-2-x86_64.pkg.tar.xz...
Downloading openal-1.18.2-2-x86_64.pkg.tar.xz...
Downloading qt5-webengine-5.10.1-2-x86_64.pkg.tar.xz...
Downloading vlc-3.0.2-1-x86_64.pkg.tar.xz...
Downloading adapta-maia-theme-3.93.1.14-1-any.pkg.tar.xz...
Downloading dvdauthor-0.7.2-5-x86_64.pkg.tar.xz...
Downloading electron-1.8.4-2-x86_64.pkg.tar.xz...
Downloading libgexiv2-0.10.8-1-x86_64.pkg.tar.xz...
Downloading inxi-3.0.08-1-any.pkg.tar.xz...
Downloading simplescreenrecorder-0.3.10-2-x86_64.pkg.tar.xz...
Downloading youtube-dl-2018.05.09-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Running pre-transaction hooks...
Remove Firefox Distribution Settings
Save Linux kernel modules
Upgrading accountsservice (0.6.47-1 -> 0.6.49-1)...
Upgrading adapta-maia-theme (3.93.1.12-1 -> 3.93.1.14-1)...
Upgrading alsa-plugins (1.1.6-1 -> 1.1.6-2)...
Upgrading libx264 (2:152.20171224-1 -> 2:152.20171224-2)...
Upgrading ffmpeg (1:3.4.2-2 -> 1:4.0-1)...
Upgrading chromaprint (1.4.3-1 -> 1.4.3-2)...
Upgrading libmagick (7.0.7.28-1 -> 7.0.7.31-1)...
Upgrading dvdauthor (0.7.2-4 -> 0.7.2-5)...
Upgrading electron (1.8.4-1 -> 1.8.4-2)...
Upgrading ffmpegthumbnailer (2.2.0-1 -> 2.2.0-2)...
Upgrading firefox (60.0-0.2 -> 60.0-1)...
Upgrading firefox-i18n-en-us (60.0-0 -> 60.0-1)...
Installing libgexiv2 (0.10.8-1)...
Installing gegl (0.4.0-0)...
Installing libmypaint (1.3.0-4)...
Installing mypaint-brushes (1.3.0-2)...
Upgrading gimp (2.8.22-1 -> 2.10.0-4)...
Upgrading gst-libav (1.14.0-1 -> 1.14.0-2)...
Upgrading imagemagick (7.0.7.28-1 -> 7.0.7.31-1)...
Upgrading inxi (3.0.07-1 -> 3.0.08-1)...
Upgrading kfilemetadata (5.45.0-1 -> 5.45.0-2)...
Upgrading libx264-all (2:152.20171224-1 -> 2:152.20171224-2)...
Upgrading linux-firmware (20180501.397a604-1 -> 20180507.8fc2d4e-1)...
Upgrading mlt (6.8.0-1 -> 6.8.0-2)...
Upgrading openal (1.18.2-1 -> 1.18.2-2)...
Upgrading qt5-webengine (5.10.1-1 -> 5.10.1-2)...
Upgrading simplescreenrecorder (0.3.10-1 -> 0.3.10-2)...
Upgrading vlc (3.0.1-2 -> 3.0.2-1)...
Upgrading youtube-dl (2018.05.01-1 -> 2018.05.09-1)...
Running post-transaction hooks...
Warn about old perl modules
Copy Firefox Distribution Settings
Updating icon theme caches...
Restore Linux kernel modules

==> Warning:
	 -> Kernel has been updated. Modules of the current kernel
	 -> have been backed up so you can continue to use your
	 -> computer. However, the new kernel will only work 
	 -> at next boot.
	
Reloading system manager configuration...
Creating temporary files...
Arming ConditionNeedsUpdate...
Updating the desktop file MIME type cache...
Updating the vlc plugin cache...
Transaction successfully finished.

[Testing Update] 2018-05-15 - KDE-framework, Deepin, Adapta-themes
#16

The ffmpeg update broke video streaming for me using Waterfox, Firefox was fine though.

[2018-05-13] [ALPM] upgraded ffmpeg (1:3.4.2-2 -> 1:4.0-1)

Had to install ffmpeg2.8 to restore it.

[2018-05-13] [ALPM] installed ffmpeg2.8 (2.8.14-1)

This is an AUR package so I assume it needs a rebuild.


#17

Didnt we get rid of gksu recently ? maybe related ?..


#18

I use zensu, but should I be using policykit only now?


#19

You should start a thread. But for me, it was an orphan package. So, removal was painless.


#20

I don’t understand. This is the Testing Update thread… and vlc-nightly 3.0.3 has fixed the VLC issue. Isn’t it then 100% fixed?


#21

I know that my answer does not help you with your problem, but did you try mpv? I moved from vlc to mpv a long while ago (while I was still using cinnamon by the way). A lot less issues for me.


#22

Upstream made the switch to PolKit recently, in March 12, 2018 to be more precise.

But yes, before that, it used gksu to get the administrative privilege in priority, then kdesu if gksu wasn’t available, then PolKit as the last resort if both of them aren’t available.

Before the change, /usr/bin/lightdm-settings (main program, the one launched when we open LightDM Settings, or Login Window if you prefer) ran the following instruction:

-# We disable pkexec here because it fails to apply the correct locale
-# The app should show in the user's locale, not the system one.
-xapp.os.run_with_admin_privs("/usr/lib/lightdm-settings/lightdm-settings", message=message, icon=icon, support_pkexec=False)

Which is a function that comes from XApp.OS library (custom stuff from Linux Mint devs) that runs another program with administrative privilege (done by executing the program as the root user) as a subprocess. We can find the code for this function here. Since support_pkexec is at false, it will run the program with gksu if gksu is available, or else kdesu if available, or with PolKit if it really is the only way possible.

Current code of xapp.os.run_with_admin_privs
def pkexec(command):
    if not isinstance(command, list):
        command = command.split(" ")

    subprocess.call(["/usr/bin/pkexec"] + command)

### Run as root

def run_with_admin_privs(command, message=None, icon=None, support_pkexec=False):
    if not isinstance(command, list):
        command = command.split(" ")

    if is_polkit_running() and support_pkexec:
        pkexec(command)
        return True
    elif os.path.exists("/usr/bin/gksu"):
        commands = ["gksu"]
        if message is not None:
            commands = commands + ["--message", "<b>%s</b>" % message]
        commands = commands + command
        subprocess.Popen(commands)
        return True
    elif os.path.exists("/usr/bin/kdesudo"):
        commands = ["kdesudo", "-d"]
        if icon is not None:
            commands = commands + ["-i", icon]
        if message is not None:
            commands = commands + ["--comment", "<b>%s</b>" % message]
        commands = commands + command
        subprocess.Popen(commands)
        return True
    # Finally use pkexec if we have nothing else - it will work, but the executed program
    # may not be properly localized.
    elif is_polkit_running():
        pkexec(command)
        return True
    else:
        return False

Also, before the change, the launcher (.desktop file) was configured to execute /usr/bin/lightdm-settings in the following way.

-Exec=lightdm-settings

Which means that /usr/bin/lightdm-settings (the main program) was executed without elevated privileges, only the program used as a subprocess was executed with elevated privilege through an instruction present in /usr/bin/lightdm-settings.

Now, it isn’t the case anymore; LightDM Settings (a.k.a Login Window) strictly uses PolKit.

/usr/bin/lightdm-settings execute the other program as a subprocess directly; the xapp.os.run[…] function isn’t used anymore. The program run as a subprocess will be run with the same level of privileges as the main program.

+subprocess.Popen("/usr/lib/lightdm-settings/lightdm-settings")

And the launcher (.dekstop file) is configured to launch /usr/bin/lightdm-settings with pkexec, which mean that the main program is run with elevated privilege in the first place, and not just the subprocess.

+Exec=pkexec lightdm-settings

If Manjaro had a pure version 1.1.4 of LightDM Settings (which was released by upstream November 23, 2017), we would be in the old situation.

But Manjaro ships a patched version of LightDM. In Testing and Stable branch, lightdm-settings package is currently in version 1.1.4.r4.gf25d985-1. The LightDM Settings shipped by Manjaro is in the new situation, reflected by how the launcher for its entries in the menu is configured.

login-window-launcher-current

Some new instructions for /usr/bin/lightdm-settings appeared after the switch to PolKit. It makes the main program print a message and exit immediately if it isn’t run as root (UID = 0).

+if os.getuid() != 0:
+    print("lightdm-settings needs to be run as root.")
+    sys.exit(1)

It means that if I try to execute /usr/bin/lightdm-settings directly, it will exit immediately because it will be run as my user (which has an UID different than 0). However, if I launch /usr/bin/lightdm-settings with pkexec, since pkexec is used to run the program as the root user (UID = 0) by default, it will work correctly.

This is exactly the message I see in the Terminal when I try to open LightDM Settings (a.k.a Login Window) from System Settings (when I launch it from the terminal with cinnamon-settings command). My guess to explains what is happening right now is that when I try to launch LightDM Settings (Login Window) from System Settings, it tries to open it by running lightdm-settings command (the old way) and not with pkexec lightdm-settings command (the new way that must be used), which means that /usr/bin/lightdm-settings is run as a user that doesn’t have UID = 0 (i.e. not root user) and thus, exit without doing anything.

Problem is that I don’t know how I can verify if my hypothesis is accurate or not. And if my hypothesis is true, I don’t know if we can make the change by ourself or not.

Well, the problem is solved for VLC that comes from vlc-nightly package, but not for VLC that comes from vlc package. So for those who really wants to stick with vlc package, they will have to wait for an official release of VLC 3.0.3 from upstream.

But if you use vlc-nightly package, then you’re in business. :+1:

I know its existence, but I have never tried it.

(Holy ****, sorry for the long post! xD)


[Testing Update] 2018-05-15 - KDE-framework, Deepin, Adapta-themes
#23

That is what I had to do with another AUR package that started throwing no such file errors (libavformat.so.57 libavcodec.so.57 libswscale.so.4 libavutil.so.55) . Re-install the AUR package I mean.


#24

Also Budgie is in the same situation…it can’t open by gui the lightdm-settings… Maybe arch way for polkit is not equal than Debian? @jonathon?